.moldura-foto {
    border-radius: 16px;
    overflow: hidden;
}

.foto-historia {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.btn-conheca-mais,
.btn-agendar,
.btn-consultar,
.btn-default {
    background-color: var(--amarelo-esverdiado);
    color: var(--verde-escuro);
    font-weight: 500;
    padding: 11px 24px;
    border-radius: 50px;
    border: none;
    transition: transform 0.2s;
    font-size: 18px;
    text-decoration: none;
}

.btn-agendar{
    align-self: flex-start;
}

.btn-conheca-mais:hover,
.btn-consultar:hover,
.btn-agendar:hover,
.btn-default:hover {
    background-color: var(--verde-cinza);
    color: var(--amarelo-claro);
}

.card-body-custom {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.card-produto .btn-agendar:hover {
    background-color: var(--verde-4);
}

.pos-relative img{
    width: 100%;
    border-radius: 16px;
}

.secao-visita {
    background-color: var(--verde-1);
}

.subtitulo-visita{
    color: var(--amarelo-claro);
}

.titulo-visita {
    color: var(--amarelo-esverdiado)!important;
}

.card-visita {
    background-color: var(--amarelo-claro);
    border-radius: 25px;
    overflow: hidden;
    height: 100%;
    transition: transform 0.3s ease;
    border: none;
}

.card-visita .img-container {
    height: 393px;
    overflow: hidden;
}

.card-visita .img-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.card-visita .card-corpo {
    min-height: 155px;
}

.card-visita h4,
.card-produto h4 {
    color: var(--verde-escuro);
    margin: 0;
}

.card-produto {
    background-color: var(--verde-3);
    border-radius: 20px;
    overflow: hidden;
    border: none;
    transition: transform 0.3s ease;
    display: flex;
    flex-direction: column;
    height: 100%; 
}

.corpo-produto {
    min-height: 165px;
    max-height: min-content;
}

.card-produto h4, .card-produto p{
    color: var(--amarelo-claro);
}

.card-produto h4{
    font-size: 18px!important;
}

.card-produto p{
    font-size: 13px;
}

.img-produto {
    width: 100%;
    height: 220px;
}

.img-produto img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.corpo-produto {
    min-height: 156px;
}

.desc-produto {
    font-size: 0.9rem;
    line-height: 1.4;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
